# Get Status Updates

## Overview

Retrieving a tracking from parcelLab refers to the act of requesting the information about a certain delivery. The progress and tracking updates returned are known as checkpoints.

When you have this data, you can keep your customers updated on the progress of their orders via a variety of sources.

## Status Update Integration Methods

You can use the following methods to retrieve checkpoint and tracking data from parcelLab to feed back into your e-commerce system:

* API - the most flexible method of data integration is API, whereby all the necessary order and tracking information can be submitted and the relevant status details received instantly

{% content-ref url="/pages/pSkIZFSZthqcKE410W0o" %}
[Checkpoints](/docs/developers/v2/status-updates/checkpoints.md)
{% endcontent-ref %}

* Webhooks - set up webhooks with parcelLab and receive relevant tracking events to feed back into your shop systems

{% content-ref url="/pages/GBBllcv2aH16J29bRrsp" %}
[Webhooks](/docs/developers/v2/data-elements/get-status-updates/webhooks.md)
{% endcontent-ref %}

You can also use our API to retrieve the current status of an order or parcel for use with the following:

* Any customer facing widget, such as chatbots

{% content-ref url="/pages/-MDJ5ISyzJTrXt801JUH" %}
[Chatbots](/docs/developers/v2/status-updates/chatbots.md)
{% endcontent-ref %}

* Any native or web app

{% content-ref url="/pages/-MVCnLpGtUqakWXGwduS" %}
[Apps](/docs/developers/v2/status-updates/apps.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parcellab.com/docs/developers/v2/data-elements/get-status-updates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
